code not work in brx
Dear
i have code written by objectarx c++ this code not work in bricscad
this the code
AcDbDatabase *pDb = acdbHostApplicationServices()->workingDatabase();
Acad::ErrorStatus es;
AcDbObjectId surfaceId1 = AcDbObjectId::kNull;
AcDbObjectId surfaceId2 = AcDbObjectId::kNull;
AcDbSweepOptions sweepOptions;
// Create the first cylindrical surface
AcGePoint3d center1 = AcGePoint3d::kOrigin;
double radius1 = 10.0;
double height1 = 5.0;
AcDbCircle *pCircle1 = new AcDbCircle(center1, AcGeVector3d::kZAxis, radius1);
AcDb3dProfile circularProfile1(pCircle1); // i received error at this line : error C2027: use of undefined type 'AcDb3dProfile'
there is any help to solve this
thank you very much
i have code written by objectarx c++ this code not work in bricscad
this the code
AcDbDatabase *pDb = acdbHostApplicationServices()->workingDatabase();
Acad::ErrorStatus es;
AcDbObjectId surfaceId1 = AcDbObjectId::kNull;
AcDbObjectId surfaceId2 = AcDbObjectId::kNull;
AcDbSweepOptions sweepOptions;
// Create the first cylindrical surface
AcGePoint3d center1 = AcGePoint3d::kOrigin;
double radius1 = 10.0;
double height1 = 5.0;
AcDbCircle *pCircle1 = new AcDbCircle(center1, AcGeVector3d::kZAxis, radius1);
AcDb3dProfile circularProfile1(pCircle1); // i received error at this line : error C2027: use of undefined type 'AcDb3dProfile'
there is any help to solve this
thank you very much
0
Comments
-
Did you include AcDbSurface.h?
Looks like the definition is here, AcDbSurface.h: class AcDb3dProfile;
0 -
Pretty sure it’s missing in the BRX API . I also have it disabled in my python wrappers
AcDbSurface.h: class AcDb3dProfile; is only a forward decoration, I could not find the actual class
0